import React from "react";
import { TextInput, NativeSyntheticEvent, TextInputFocusEventData } from "react-native";
export interface IInputProps {
    autoFocus?: boolean;
    value: string;
    onBlur?: (e: NativeSyntheticEvent<TextInputFocusEventData>) => void;
    onChangeText?: (text: string) => void;
    onSubmit?: () => void;
    textContentType?: "none" | "URL" | "addressCity" | "addressCityAndState" | "addressState" | "countryName" | "creditCardNumber" | "emailAddress" | "familyName" | "fullStreetAddress" | "givenName" | "jobTitle" | "location" | "middleName" | "name" | "namePrefix" | "nameSuffix" | "nickname" | "organizationName" | "postalCode" | "streetAddressLine1" | "streetAddressLine2" | "sublocality" | "telephoneNumber" | "username" | "password";
}
interface IProps extends IInputProps {
    codeMaxLength: number;
    testID?: string;
    textInputRef: React.RefObject<TextInput>;
}
declare const InputField: React.FC<IProps>;
export default InputField;
